Subject: Re: bug#76120: [PATCH] Expose the native sharing dialog (macOS)

From: Eli Zaretskii <[email-masked]>
Date: Thu, 13 Feb 2025 09:59:45 +0200

> From: Po Lu <[email-masked]>
> Cc: Björn Bidar <[email-masked]>,
>   [email-masked],
>   [email-masked],  [email-masked]
> Date: Thu, 13 Feb 2025 11:30:39 +0800
> 
> Po Lu <[email-masked]> writes:
> 
> > I won't object to implementing Bluetooth "sharing", since a file can
> > easily be sent through e.g. blueman-sendto, but I will object to the
> > dialog proposed by the OP.  Contrasting the facilities exposed by this
> > dialog with their GNU/Linux equivalents is beside the point of our
> > policy against features which place proprietary systems at an advantage,
> > because our object in doing so is to prevent the creation of any
> > material incentive in Emacs that might motivate users to install Mac OS,
> > not simply to guarantee that Emacs on Mac OS holds no advantage in raw
> > capabilities over Emacs on free systems.  I say this dialog is certainly
> > such an incentive, as attested by the existence of this patch rather
> > than a patch adding aliases from xdg-open and blueman to AppleScript
> > workalikes.  You and I may not be vain enough for such features to
> > influence our preferences as regards operating systems, but you cannot
> > deny that people exist whom they do influence.
> >
> > What is more, half of the dialog is devoted to Apple's proprietary file
> > sharing protocol, AirDrop.  Any person can see the folly in providing a
> > direct interface to a proprietary file sharing system in Emacs, never
> > mind such a file sharing system as is only available on one brand of
> > computer.  And it breaks the GNUstep build, though that is the least of
> > our concerns.
> >
> > Just my two cents.
> 
> It also requires compiler extensions (lambdas) only implemented by
> Clang.

Last time I looked, the work to make the NS port to compile with GCC
was never finished, so we pretty much rely on Clang on that platform,
AFAIU.